@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&family=Shrikhand&display=swap");
* {
  margin: 0;
  padding: 0;
  font-family: "Roboto", sans-serif;
}

body {
  background: #3b3b44;
}

button {
  border: #727272 3px solid;
}
button:hover {
  border: white 3px solid;
}

header {
  width: 100%;
  height: 100px;
  background: #0e0e10;
  z-index: 1000;
  position: fixed;
}

.btn {
  min-width: 100px;
  white-space: nowrap;
  text-overflow: ellipsis;
  box-sizing: border-box;
}

.tavern-description {
  margin-top: 15px;
  background: #4c4c51;
  color: white;
  border-radius: 10px 10px 0 0;
  padding: 10px;
  width: 250px;
}

.tavern-container {
  margin-top: 15px;
  padding: 0;
}

.tavern-container > div {
  margin: 0;
}

#info-gauche {
  display: flex;
  flex-direction: column;
  left: 0;
  padding-top: 100px;
  box-sizing: border-box;
  min-height: 100vh;
  background: #65656b;
  animation: appear 300ms 0ms ease-out;
  align-items: center;
}
@media all and (max-width: 576px) {
  #info-gauche {
    bottom: 0;
    width: 100%;
    height: 300px;
    min-height: 300px;
    left: 0;
    top: calc(100vh - 300px);
    flex-direction: row;
    position: absolute;
  }
}

.empty1 {
  animation: anim_restaurant 450ms 70ms both;
}

.empty2 {
  animation: anim_restaurant 450ms 130ms both;
}

.empty3 {
  animation: anim_restaurant 450ms 190ms both;
}

.empty4 {
  animation: anim_restaurant 450ms 250ms both;
}

.empty5 {
  animation: anim_restaurant 450ms 310ms both;
}

.empty6 {
  animation: anim_restaurant 450ms 370ms both;
}

.empty7 {
  animation: anim_restaurant 450ms 430ms both;
}

.empty8 {
  animation: anim_restaurant 450ms 490ms both;
}

.empty9 {
  animation: anim_restaurant 450ms 550ms both;
}

.empty10 {
  animation: anim_restaurant 450ms 610ms both;
}

div[id*=empty] {
  padding: 20px;
  animation: appear 300ms 0ms ease-out;
}

.btn-custom {
  margin-top: 0;
  border-radius: 0 0 5px 5px;
  margin-left: 0;
  width: inherit;
}
.btn-danger {
  background-color: #4c4c51;
  border-color: #4c4c51;
}
.btn__ajout {
  max-width: 250px;
  padding: 0 10px 0 10px;
}

.modal-header {
  border-bottom: none;
}

.building-type {
  margin-bottom: 0.4rem;
}

#map-container {
  box-sizing: content-box;
  position: fixed;
  top: 100px;
  left: 26vw;
  height: calc(100vh - 150px);
  padding: 0;
}
@media all and (max-width: 576px) {
  #map-container {
    width: 100%;
    left: 0;
  }
}

.map-relative {
  position: relative;
  width: calc(100vw / 2);
}

.map {
  position: fixed;
  box-sizing: content-box;
  width: calc(100vw / 2);
}
@media all and (max-width: 576px) {
  .map {
    width: 100vw;
  }
}

.map-quartier {
  position: fixed;
  box-sizing: content-box;
  width: calc(100vw / 2);
  z-index: 1000;
  animation: appear 300ms 0ms both ease-out;
}
@media all and (max-width: 576px) {
  .map-quartier {
    width: 100vw;
  }
}

#ping {
  background-color: red;
  border-radius: 70% 50% 70% 2px;
  height: 30px;
  width: 30px;
  position: absolute;
  z-index: 3000;
  border: 3px solid white;
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: transform ease-out 500ms;
  transform: translateY(-10px);
  animation: appearPing 500ms 100ms both ease-out;
}

#round {
  border-radius: 50%;
  background-color: white;
  height: 10px;
  width: 10px;
  animation: pulse 500ms 100ms infinite both ease-out;
}

@keyframes appear {
  from {
    opacity: 0;
    transform: translateY(-10px);
  }
  to {
    opacity: 1;
    transform: translateY(0px);
  }
}
@keyframes appearPing {
  from {
    opacity: 0;
    transform: translateY(-10px) rotate(-45deg);
  }
  to {
    opacity: 1;
    transform: translateY(0px) rotate(-45deg);
  }
}
@keyframes pulse {
  0% {
    transform: scale(0.5) rotate(-45deg);
  }
  100% {
    transform: scale(1.5) rotate(-45deg);
  }
}
li[class=bas]:hover {
  background: #a56c2a;
}

li[class=aventurier]:hover {
  background: #910000;
}

li[class=marchand]:hover {
  background: #2c8d2c;
}

li[class=noble]:hover {
  background: #caca1d;
}

/*# sourceMappingURL=custom.css.map */
